VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::inventory::DatastoreTypes::Info Class Reference

The `Datastore.Info` class contains information about a datastore. More...

List of all members.

## Public Member Functions
| Info ()
| Creates a default new instance.
string | Get_Type ()
| Type of the datastore.
void | SetType (string type)
| Type of the datastore.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Datastore.Info` class contains information about a datastore.

## Constructor & Destructor Documentation

vmware::vcenter::inventory::DatastoreTypes::Info::Info | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::inventory::DatastoreTypes::Info::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::inventory::DatastoreTypes::Info::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::inventory::DatastoreTypes::Info::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::inventory::DatastoreTypes::Info::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::inventory::DatastoreTypes::Info::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::inventory::DatastoreTypes::Info::Equals | ( | object | obj | ) | `[inline]`

string vmware::vcenter::inventory::DatastoreTypes::Info::Get_Type | ( |  | ) | `[inline]`

Type of the datastore.

When clients pass a value of this class as a parameter, the field must be one of `Datastore` or `StoragePod` . When methods return a value of this class as a result, the field will be one of `Datastore` or `StoragePod` .

override int vmware::vcenter::inventory::DatastoreTypes::Info::GetHashCode | ( |  | ) | `[inline]`

void vmware::vcenter::inventory::DatastoreTypes::Info::SetType | ( | string | type | ) | `[inline]`

Type of the datastore.

When clients pass a value of this class as a parameter, the field must be one of `Datastore` or `StoragePod` . When methods return a value of this class as a result, the field will be one of `Datastore` or `StoragePod` .

override string vmware::vcenter::inventory::DatastoreTypes::Info::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- inventory/DatastoreTypes.cs